#!/bin/bash

# ReExecSpeed
for chain in $(ls ../inputs/chains/n=*_BigSmall_CR=1_V=0.01_ratio=*.chain); do
	for conf in $(ls ../inputs/configurations/Energy_VC_FS_eta=0.1_Pidle=64_Pio=0.15.config); do
		MAKESPAN="../results/ReExecSpeed_energy_BigSmall/MAKESPAN_"$(echo "ReExecSpeed_$(basename $(echo ${chain%.*}))_$(basename $(echo ${conf%.*})).out");
		ENERGY="../results/ReExecSpeed_energy_BigSmall/ENERGY_"$(echo "ReExecSpeed_$(basename $(echo ${chain%.*}))_$(basename $(echo ${conf%.*})).out");
		./opTime $conf $chain $MAKESPAN
		./opEnergy $conf $chain $ENERGY
	done
done
