#!/bin/bash

# MultiSpeed
for chain in $(ls ../inputs/chains/n=*_Uniform_CR=1_V=0.01.chain); do
	for conf in $(ls ../inputs/configurations/Energy_VC_FS_eta=0.1_Pidle=*_Pio=*.config); do
		MAKESPAN="../results/MultiSpeed_energy/MAKESPAN_"$(echo "MultiSpeed_$(basename $(echo ${chain%.*}))_$(basename $(echo ${conf%.*})).out");
		ENERGY="../results/MultiSpeed_energy/ENERGY_"$(echo "MultiSpeed_$(basename $(echo ${chain%.*}))_$(basename $(echo ${conf%.*})).out");
		./opTime $conf $chain $MAKESPAN
		./opEnergy $conf $chain $ENERGY
	done
done
